summaryrefslogtreecommitdiffstats
path: root/deps/qt5/qt5.SlackBuild
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2019-09-14 13:08:13 +0200
committer Eric Hameleers <alien@slackware.com>2019-09-14 13:08:13 +0200
commitddfdebbe9bad6eeb4328fd23f657b86bb9fc0fb9 (patch)
treed47302fc02d9e4fdc08a4a21b943c8611bbcf115 /deps/qt5/qt5.SlackBuild
parente661683d4ed5c18b3aefdb052ae16b2c08e2148e (diff)
downloadktown-ddfdebbe9bad6eeb4328fd23f657b86bb9fc0fb9.tar.gz
ktown-ddfdebbe9bad6eeb4328fd23f657b86bb9fc0fb9.tar.xz
Deps: updated for the upcoming release
The qt5 and qt5-speech packages have been updated to 5.13.1, PyQt5 was updated to 5.13.0. There's a new official polkit-qt5-1 version too: 0.113.0. The cryfs package was updated to 0.10.2. Tthe phonon layer is now Qt5-only: phonon 4.11.0, phonon-gstreamer 4.10.0, phonon-vlc 0.11.0.
Diffstat (limited to '')
-rwxr-xr-xdeps/qt5/qt5.SlackBuild22
1 files changed, 9 insertions, 13 deletions
diff --git a/deps/qt5/qt5.SlackBuild b/deps/qt5/qt5.SlackBuild
index 529aa78..079c1a1 100755
--- a/deps/qt5/qt5.SlackBuild
+++ b/deps/qt5/qt5.SlackBuild
@@ -63,17 +63,16 @@
# Modifications for qt 5.12.1 2019 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.12.3 2019 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.13.0 2019 by Eric Hameleers, Eindhoven, NL
+# Modifications for qt 5.13.1 2019 by Eric Hameleers, Eindhoven, NL
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=qt5
-VERSION=${VERSION:-5.13.0}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-5.13.1}
+BUILD=${BUILD:-1}
PKGSRC=$(echo $VERSION |cut -d- -f1)
PKGVER=$(echo $VERSION |tr - _)
-NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
-
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$(uname -m)" in
@@ -128,6 +127,8 @@ case "$ARCH" in
*) TARGET=$ARCH-slackware-linux ;;
esac
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
@@ -157,15 +158,14 @@ fi
# Fix path to mysql header:
cat $CWD/patches/qt5.mysql.h.diff | patch -p1 --verbose || exit 1
-# Fix freezes in KWin on hybrid NVIDIA systems (also solved in KWin 5.16.2):
+# Fix keyboard input in webengine:
cd qtbase
- cat $CWD/patches/qtbase-qxcbwindow.patch | patch -p1 --verbose || exit 1
+ cat $CWD/patches/qt5.qtbug-77364.patch | patch -p1 --verbose || exit 1
cd - 1>/dev/null
-# Change the default compression back to zlib for backwards compatibility,
-# QTBUG-76521:
+# Fix hardcoded lib/ dir on x86_64:
cd qtbase
- cat $CWD/patches/qtbase-zlib-compression.patch | patch -p1 --verbose || exit 1
+ cat $CWD/patches/qt5.qtbug-76255.patch | patch -p1 --verbose || exit 1
cd - 1>/dev/null
# CMake generates wrong -isystem /usr/include compilations flags with Qt5::Gui
@@ -177,10 +177,6 @@ cd qtbase
| patch -p1 --verbose || exit 1
cd - 1>/dev/null
-# More quoting is needed (QTBUG-76244) to fix the error in kjsembed (at least):
-# "Error:string sub-command REGEX, mode REPLACE needs at least 6 arguments total to command."
-cat $CWD/patches/qt5.qt5uitoolsconfig.patch | patch -p1 --verbose || exit 1
-
if ! pkg-config --exists libpulse 2>/dev/null ; then
# Forcibly disable pulseaudio in qtwebengine:
cat $CWD/patches/qt5.pulseaudio.diff | patch -p1 --verbose || exit 1